XnPrdNodeInfo.h File Reference
`#include <XnTypes.h>`

Go to the source code of this file.

## Functions

XN_C_API XnStatus XN_C_DECL | xnNodeInfoAllocate (const XnProductionNodeDescription *pDescription, const XnChar *strCreationInfo, XnNodeInfoList *pNeededNodes, XnNodeInfo **ppNodeInfo)
XN_C_API void XN_C_DECL | xnNodeInfoFree (XnNodeInfo *pNodeInfo)
XN_C_API XnStatus XN_C_DECL | xnNodeInfoSetInstanceName (XnNodeInfo *pNodeInfo, const XnChar *strInstanceName)
XN_C_API const XnProductionNodeDescription *XN_C_DECL | xnNodeInfoGetDescription (XnNodeInfo *pNodeInfo)
XN_C_API XnStatus XN_C_DECL | xnNodeInfoGetTreeStringRepresentation (XnNodeInfo *pNodeInfo, XnChar *csResult, XnUInt32 nSize)
XN_C_API const XnChar *XN_C_DECL | xnNodeInfoGetInstanceName (XnNodeInfo *pNodeInfo)
XN_C_API const XnChar *XN_C_DECL | xnNodeInfoGetCreationInfo (XnNodeInfo *pNodeInfo)
XN_C_API XnNodeInfoList *XN_C_DECL | xnNodeInfoGetNeededNodes (XnNodeInfo *pNodeInfo)
XN_C_API XnNodeHandle XN_C_DECL | xnNodeInfoGetRefHandle (XnNodeInfo *pNodeInfo)
XN_C_API XnNodeHandle XN_C_DECL | xnNodeInfoGetHandle (XnNodeInfo *pNodeInfo)
XN_C_API const void *XN_C_DECL | xnNodeInfoGetAdditionalData (XnNodeInfo *pNodeInfo)